Skip to content

/aea/v1/agents

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

curl -i -X GET \
  https://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/agents \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string'

Responses

Success

Body
Array [
result_placeholdersArray of objects or null(ValidationResultIdentity-V3)
]
Response
[
  {
    "agent": {
      "name": "string",
      "version": "string",
      "agent_id": "string"
    },
    "result_placeholders": [
      {
        "category": "string",
        "name": "string",
        "description": "string",
        "id": "string",
        "publish_value_results": [
          {
            "key": "string",
            "result_type": "Single"
          }
        ]
      }
    ]
  }
]